//
// Created by TBetts on 11/12/13.
//


#import <Foundation/Foundation.h>
#import <IGChart/IGChart.h>


@interface DynamicStackedDataSource : NSObject<IGStackedSeriesDataSource>

//This structure is the array of custom objects, from which the fragments will be extracted.
@property (nonatomic, retain) NSArray *data;

//Determines the property name of the items in the data array to be used for labels.
@property (nonatomic, retain) NSString *labelPath;

//Determines the property name of the items in the data array to be used for stack values.
@property (nonatomic, retain) NSString *valuesPath;

- (id)initWithData:(NSArray *)data labelPath:(NSString *)labelPath valuesPath:(NSString *)valuesPath;
+ (id)sourceWithData:(NSArray *)data labelPath:(NSString *)labelPath valuesPath:(NSString *)valuesPath;


@end